RaisFastRaisFast

Tenants

Tenants

GET
/api/v1/admin/tenants

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/tenants"
Empty
POST
/api/v1/admin/tenants

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/tenants" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
Empty
POST
/api/v1/admin/tenants/batch

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/tenants/batch" \  -H "Content-Type: application/json" \  -d '{    "action": "string",    "ids": [      "string"    ]  }'
Empty
GET
/api/v1/admin/tenants/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Tenant ID

Response Body

curl -X GET "https://example.com/api/v1/admin/tenants/string"
Empty
DELETE
/api/v1/admin/tenants/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Tenant ID

Response Body

curl -X DELETE "https://example.com/api/v1/admin/tenants/string"
Empty
PUT
/api/v1/admin/tenants/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Tenant ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/tenants/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty